<?php
/*------------------------------------------------------+
| PHP-Fusion Content Management System                  |
| Copyright (C) 2002 - 2010 Nick Jones                  |
| http://www.php-fusion.co.uk/                          |
+-------------------------------------------------------+
| This program is released as free software under the   |
| Affero GPL license. You can redistribute it and/or    |
| addonify it under the terms of this license which you |
| can read by viewing the included agpl.txt or online   |
| at http://www.gnu.org/licenses/agpl.html.             |
| Removal of this copyright header is strictly          |
| prohibited without written permission from the        |
| original author(s).                                   |
+------------------------------------------------------*/
/*------------------------------------------------------+
|         Simple gray for PHP-Fusion v7                 |
|           ( left and right panels)                    |
+-------------------------------------------------------+
| Filename: theme.php                                   |
| Author: Faga                                          |
| Homepage: http://osthemes.org                         |
+-------------------------------------------------------+
| This theme is released under the terms and conditions |
| of the GNU Affero GPL v3.                             |
+------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>");
define("THEME_BULLET2", "");

require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {

	global $settings, $main_style, $locale;
	
	//Header
	echo "<table width='1000' align='center'>\n<tr>\n";
	echo "<td class='sub-header' width='100%' align='left' >".showsublinks(" ".THEME_BULLET2." ", "")."	</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table class='full-header' align='center' cellpadding='0' cellspacing='0' width='1000'>\n<tr>\n";
    echo "<td class='banner-top' width='1000'  colspan='3'>".showbanners()."</td>\n";
  	echo "</tr>\n</table>\n";	
	//Header END

	//Content
	echo "<table align='center' cellpadding='0' cellspacing='0' width='1000' class='$main_style'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	//Content END

	//Footer (DO NOT EDIT THIS PART , THE SITE WON'T WORK PROPERLY !!!)
	echo "<table class='full-footer' align='center' cellpadding='0' cellspacing='0' width='1000'>\n";
	echo "<tr>\n<td>\n";
	echo "<table class='main-footer' align='center' cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
    echo "<td align='left'>".showcopyright()."</td>\n";
	echo "<td align='right'>".stripslashes($settings['footer']);
	if (!$license)
	echo "</td>\n</tr>\n<tr>\n";
    echo "<td colspan='2' align='left' class='ost-footer'>Theme by <a href='http://www.osthemes.org' target='_blank'>OSThemes.org</a></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td  align='left'>".showcounter()."</td>\n";
	echo "<td align='right'>".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."</td>\n";
  	echo "</tr>\n</table>\n";
	echo "</td>\n</tr>\n</table>\n";
	//Footer END
}
	
	
//News
function render_news($subject, $news, $info) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='news-header'>".$subject."</td>\n</tr>\n";
	echo "<tr>\n<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n<tr>\n";
    echo "<td class='main-body middle-border'>".$news."</td>\n";
    echo "</tr>\n</table>\n";
}

//Article
function render_article($subject, $article, $info) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='article-header'>".$subject."</td>\n</tr>\n";
	echo "<tr>\n<td align='center' class='article-footer middle-border'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n<tr>\n";
    echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
    echo "</tr>\n</table>\n";
}

//Opentable center
function opentable($title) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n<tr>\n";
    echo "<td class='main-body'>\n";
}

//Clodetable center
function closetable() {
	echo "</td>\n</tr>\n";
	echo "</table>\n";

}
	
//Openside
function openside($title, $collapse = false, $state = "on") {
	
	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n<tr>\n";
   	echo "<td class='scapmain-left'></td>\n";
   	echo "<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
	echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
}
  	echo "<td class='scapmain-right'></td>\n</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n<tr>\n";
    echo "<td class='side-body'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }
}

//Closedise
function closeside($state = "on") {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='side-bottom-left'>&nbsp;</td>\n";
	echo "<td class='side-bottom'>&nbsp;</td>\n";
	echo "<td class='side-bottom-right'>&nbsp;</td>\n";
	echo "</tr>\n</table>\n";
}

?>